Summary: C++ graphics library
Name: cued-glue
Version: 1
Release: 2
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Copyright: GPL
Group: CUED
Source0: cued-glue-1.tar.gz 

%description
This library is used in 1A C++ teaching.
%prep
%setup -q
%build
g++ -I/usr/include/GL -fPIC -c glue.cc
g++ -shared -Wl,-soname,libglue.so.1 -o libglue.so.1 glue.o

%install
mkdir -p $RPM_BUILD_ROOT/usr/local/%{_lib}
mkdir -p $RPM_BUILD_ROOT/usr/local/include
mkdir -p $RPM_BUILD_ROOT/usr/local/man/man1
install -s -m 755 -o 0 -g 0 libglue.so.1 $RPM_BUILD_ROOT/usr/local/%{_lib}
install -m 644 -o 0 -g 0 glue.h $RPM_BUILD_ROOT/usr/local/include
install -m 644 -o 0 -g 0 glui.h $RPM_BUILD_ROOT/usr/local/include
install -m 644 -o 0 -g 0 glue.1 $RPM_BUILD_ROOT/usr/local/man/man1
pushd $RPM_BUILD_ROOT/usr/local/%{_lib}/
ln -s libglue.so.1 libglue.so
popd

%files
/usr/local/%{_lib}/*
/usr/local/include/*
/usr/local/man/man1/*

